<?php

namespace Drupal\postlight_parser\Plugin\Tamper;

use Drupal\tamper\TamperableItemInterface;
use Drupal\tamper\TamperBase;

/**
 * Plugin implementation for converting case.
 *
 * @Tamper(
 *   id = "url_get_content",
 *   label = @Translation("Url get content"),
 *   description = @Translation("Url get content."),
 *   category = "Text"
 * )
 */
class UrlGetContent extends TamperBase {

  /**
   * {@inheritdoc}
   */
  public function tamper($data, ?TamperableItemInterface $item = NULL) {
    // Don't process empty or null values.
    $url = $item->getSourceProperty('url');
    if ($url) {
      $argument = [
        'url' => $url,
        'parser' => 'readability',
        'save_image' => FALSE,
      ];
      $content = \Drupal::service('postlight_parser.url_parser')->parser($argument);
      return $content['data']['content'] ?? $data;
    }
    return $data;
  }

}
